## BtIcControl BtIcControl — buzztards interaction controller single control |

## Synopsis

    #include <libbtic/ic.h>

                        BtIcControl;

## Object Hierarchy

      GObject
       +----BtIcControl
             +----BtIcAbsRangeControl
             +----BtIcTriggerControl

## Properties

      "device"                   BtIcDevice*           : Read / Write / Construct Only
      "name"                     gchar*                : Read / Write / Construct Only

## Description

Abstract base class for controls.

## Details

### BtIcControl

    typedef struct _BtIcControl BtIcControl;

buzztards interaction controller single control

## Property Details

### The `"device"` property

      "device"                   BtIcDevice*           : Read / Write / Construct Only

parent device object.

### The `"name"` property

      "name"                     gchar*                : Read / Write / Construct Only

device name.

Default value: NULL